com.holonplatform.vaadin.flow.components.builders

## Interface PropertyListingBuilder.DatastorePropertyListingConfigurator

- All Superinterfaces:
    ComponentConfigurator<PropertyListingBuilder.DatastorePropertyListingBuilder>, ComponentGroupConfigurator<com.holonplatform.core.property.Property<?>,com.holonplatform.core.property.PropertyBox,Input<?>,ItemListing.EditorComponentGroup<com.holonplatform.core.property.Property<?>,com.holonplatform.core.property.PropertyBox>,PropertyListingBuilder.DatastorePropertyListingBuilder>, DatastoreDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,PropertyListingBuilder.DatastorePropertyListingBuilder>, FocusableConfigurator<com.vaadin.flow.component.Component,PropertyListingBuilder.DatastorePropertyListingBuilder>, HasElementConfigurator<PropertyListingBuilder.DatastorePropertyListingBuilder>, HasEnabledConfigurator<PropertyListingBuilder.DatastorePropertyListingBuilder>, HasSizeConfigurator<PropertyListingBuilder.DatastorePropertyListingBuilder>, HasStyleConfigurator<PropertyListingBuilder.DatastorePropertyListingBuilder>, HasThemeVariantConfigurator<com.vaadin.flow.component.grid.GridVariant,PropertyListingBuilder.DatastorePropertyListingBuilder>, InputGroupConfigurator<com.holonplatform.core.property.Property<?>,com.holonplatform.core.property.PropertyBox,ItemListing.EditorComponentGroup<com.holonplatform.core.property.Property<?>,com.holonplatform.core.property.PropertyBox>,PropertyListingBuilder.DatastorePropertyListingBuilder>, InputGroupConfigurator.PropertySetInputGroupConfigurator<ItemListing.EditorComponentGroup<com.holonplatform.core.property.Property<?>,com.holonplatform.core.property.PropertyBox>,PropertyListingBuilder.DatastorePropertyListingBuilder>, ItemListingConfigurator<com.holonplatform.core.property.PropertyBox,com.holonplatform.core.property.Property<?>,PropertyListing,PropertyListingBuilder.DatastorePropertyListingBuilder>, PropertyListingConfigurator<PropertyListingBuilder.DatastorePropertyListingBuilder>
  All Known Subinterfaces:
    PropertyListingBuilder.DatastorePropertyListingBuilder
  Enclosing interface:
    PropertyListingBuilder

      public static interface PropertyListingBuilder.DatastorePropertyListingConfigurator
      extends PropertyListingConfigurator<PropertyListingBuilder.DatastorePropertyListingBuilder>, DatastoreDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,PropertyListingBuilder.DatastorePropertyListingBuilder>

  `PropertyListing` configurator with `DatastoreDataProviderConfigurator` support.
  Since:
    5.2.8

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemListingConfigurator

      `ItemListingConfigurator.BaseItemListingColumnConfigurator<C extends ItemListingConfigurator.BaseItemListingColumnConfigurator<C>>, ItemListingConfigurator.ColumnAlignment, ItemListingConfigurator.ColumnConfigurator, ItemListingConfigurator.ColumnPostProcessor<P>, ItemListingConfigurator.EditableItemListingRow<P>, ItemListingConfigurator.EditableItemListingSection<P>, ItemListingConfigurator.ItemListingColumnBuilder<T,P,L extends ItemListing<T,P>,B extends ItemListingConfigurator<T,P,L,B>>, ItemListingConfigurator.ItemListingColumnConfigurator<T,P,C extends ItemListingConfigurator.ItemListingColumnConfigurator<T,P,C>>, ItemListingConfigurator.ItemListingContextMenuBuilder<T,P,L extends ItemListing<T,P>,B extends ItemListingConfigurator<T,P,L,B>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `HasSizeConfigurator.BaseHasSizeConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `HasStyleConfigurator.BaseHasStyleConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `HasEnabledConfigurator.BaseHasEnabledConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputGroupConfigurator

      `InputGroupConfigurator.BeanInputGroupConfigurator<T,G extends BoundComponentGroup<String,Input<?>>,C extends InputGroupConfigurator.BeanInputGroupConfigurator<T,G,C>>, InputGroupConfigurator.PropertySetInputGroupConfigurator<G extends BoundComponentGroup<com.holonplatform.core.property.Property<?>,Input<?>>,C extends InputGroupConfigurator.PropertySetInputGroupConfigurator<G,C>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.DatastoreDataProviderConfigurator

      `DatastoreDataProviderConfigurator.DatastoreDataProviderSelectConfigurator<ITEM,C extends DatastoreDataProviderConfigurator.DatastoreDataProviderSelectConfigurator<ITEM,C>>`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.PropertyListingConfigurator

      `editor, editor, editor, editor, editorField, editorField, renderAsViewComponent, withColumn, withComponentColumn`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemListingConfigurator

      `alignment, autoWidth, autoWidth, columnReorderingAllowed, columnsAutoWidth, componentRenderer, contextMenu, displayAfter, displayAsFirst, displayAsLast, displayBefore, dragDataGenerator, dragFilter, dropFilter, dropMode, editable, editable, editorBuffered, editorComponent, editorComponent, expand, flexGrow, footer, footer, footer, footer, footerComponent, frozen, frozen, frozenColumns, header, header, header, header, headerComponent, heightByRows, hidden, itemDetailsComponent, itemDetailsRenderer, itemDetailsText, itemDetailsVisibleOnClick, multiSelect, multiSort, notSelectable, pageSize, readOnly, renderer, resizable, resizable, rowsDraggable, selectAllCheckboxVisibility, selectionMode, singleSelect, sortable, sortable, sortComparator, sortProvider, sortUsing, sortUsing, styleNameGenerator, styleNameGenerator, valueProvider, verticalScrollingEnabled, visible, visibleColumns, visibleColumns, width, withColumn, withColumnPostProcessor, withColumnReorderListener, withColumnResizeListener, withComponentColumn, withDragEndListener, withDragStartListener, withDropListener, withEditorCancelListener, withEditorCloseListener, withEditorOpenListener, withEditorSaveListener, withItemClickListener, withItemRefreshListener, withSelectionListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `create, elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `create, fullHeight, fullSize, fullWidth, height, height, heightUndefined, maxHeight, maxWidth, minHeight, minWidth, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `create, styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `create, disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FocusableConfigurator

      `tabIndex, withBlurListener, withFocusListener, withFocusShortcut, withFocusShortcutKey`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasThemeVariantConfigurator

      `withThemeVariants`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputGroupConfigurator.PropertySetInputGroupConfigurator

      `defaultValue, withValidator, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputGroupConfigurator

      `enableRefreshOnValueChange, groupValidationStatusHandler, required, required, required, required, validationStatusHandler, validationStatusHandler, validationStatusLabel, withPostProcessor, withValidator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentGroupConfigurator

      `usePropertyRendererRegistry, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DatastoreDataProviderConfigurator

      `itemIdentifierProvider, querySortOrderConverter, withDefaultQuerySort, withQueryConfigurationProvider, withQueryFilter, withQuerySort`

Copyright © 2020 The Holon Platform. All rights reserved.